Bug 104807 - Field for editing Placeholder field (and other function field details) is (too) small / does not resize
Summary: Field for editing Placeholder field (and other function field details) is (to...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.0.2
Keywords: easyHack, needsDevEval
Depends on:
Blocks:
 
Reported: 2016-12-20 10:39 UTC by Maxime Richez
Modified: 2017-02-14 08:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screen capture of the problem (36.69 KB, image/png)
2016-12-20 10:40 UTC, Maxime Richez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Richez 2016-12-20 10:39:12 UTC
Description:
When editing a placeholder field, in the window displayed with the data, there is only one small field unresizable to edit placeholder (memo field would be better)
See screen capture: https://snag.gy/pCYsgE.jpg

Steps to Reproduce:
1.Insert field
2.Choose Functions Tab
3.Select Type Placeholder and format text
4.Fill the small placeholder field... 

Actual Results:  
Field is too small and when i resize window, field stay unsized.

Expected Results:
Memo field resizable.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Maxime Richez 2016-12-20 10:40:54 UTC
Created attachment 129804 [details]
Screen capture of the problem
Comment 2 Cor Nouws 2016-12-20 11:27:09 UTC
Thanks Maxime. Indeed not so wide..

Prolly easy hack?
Comment 3 jani 2016-12-21 08:59:49 UTC
Please add codepointers as comment, and skill<foo>, difficulty<foo> as keywords. Before that it is not an easyhack.
Comment 4 Commit Notification 2017-01-11 12:34:03 UTC
Abhilash Singh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=acc939f6cb832bac281274210e3737c1ba06216c

tdf#104807 Placeholder field doesn't resize

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-01-11 12:38:23 UTC
Abhilash Singh committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba688ee930bb9a910962e14493fb77edcca15d80&h=libreoffice-5-3

tdf#104807 Placeholder field doesn't resize

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 jani 2017-01-12 07:26:00 UTC
Seems solved